Skip to main content
POST
Trigger a task on a pull request

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Repository ID

pull_number
integer
required

Pull request number

Body

application/json
command
enum<string>
required

The task command to execute on the pull request

Available options:
review,
full_review,
investigate,
summary,
fix,
freeform,
create_issue
message
string

Additional instructions or question for the task

Response

Task created or queued

status
string
required

Task status (pending or queued)

task_id
string<uuid>
required

Created task ID, a github_task row

thread_id
string<uuid> | null

Thread that /task/{id} resolves; use this to open the task, not task_id. Null until a thread is assigned.